urlparse is incompatible for python 3

Bug #1279611 reported by Yongli He on 2014-02-13
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Astara
Undecided
sumit
Ceilometer
Undecided
Jia Dong
Cinder
Wishlist
Fengqian
Glance
Low
Fengqian
OpenStack Compute (nova)
Undecided
Tan Lin
OpenStack DBaaS (Trove)
Low
Yongli He
OpenStack Dashboard (Horizon)
Undecided
Fengqian
OpenStack Object Storage (swift)
Undecided
Unassigned
RACK
Undecided
sumit
Sahara
Low
Yongli He
Solar
Undecided
Tin Lam
Zuul
Fix Committed
Undecided
Tan Lin
gce-api
Undecided
Unassigned
neutron
Low
Yongli He
openstack-doc-tools
Undecided
sumit
python-barbicanclient
Undecided
Tin Lam
python-cinderclient
Undecided
sumit
python-neutronclient
Low
Lee Li
storyboard
Undecided
Yongli He
surveil
Undecided
Unassigned
swift-bench
Undecided
sumit
tuskar
Medium
Tan Lin
vmware-nsx
Undecided
sumit
zaqar
Undecided
Tan Lin

Bug Description

import urlparse

should be changed to :
import six.moves.urllib.parse as urlparse

for python3 compatible.

Yongli He (yongli-he) on 2014-02-13
Changed in neutron:
assignee: nobody → Yongli He (yongli-he)
Changed in neutron:
status: New → In Progress
Yongli He (yongli-he) on 2014-02-13
Changed in storyboard:
assignee: nobody → Yongli He (yongli-he)
status: New → In Progress
Changed in ironic:
assignee: nobody → Yongli He (yongli-he)
Changed in ironic:
status: New → In Progress
Yongli He (yongli-he) on 2014-02-13
Changed in savanna:
assignee: nobody → Yongli He (yongli-he)
Changed in trove:
assignee: nobody → Yongli He (yongli-he)
status: New → In Progress
Yongli He (yongli-he) on 2014-02-13
Changed in savanna:
status: New → In Progress
Changed in swift:
assignee: nobody → Yongli He (yongli-he)
Tan Lin (tan-lin-good) on 2014-02-13
Changed in nova:
assignee: nobody → lintan (lintan)
status: New → In Progress
Changed in tuskar:
assignee: nobody → lintan (lintan)
status: New → In Progress
Changed in tempest:
assignee: nobody → lintan (lintan)
status: New → In Progress
Changed in marconi:
assignee: nobody → lintan (lintan)
status: New → In Progress
Changed in zuul:
assignee: nobody → lintan (lintan)
status: New → In Progress
Changed in trove:
milestone: none → icehouse-3
Fengqian (fengqian-gao) on 2014-02-13
Changed in glance:
assignee: nobody → Fengqian (fengqian-gao)
status: New → In Progress
Lee Li (lilinguo) on 2014-02-14
Changed in python-neutronclient:
assignee: nobody → Lee Li (lilinguo)
Changed in python-glanceclient:
assignee: nobody → Lee Li (lilinguo)
Changed in python-heatclient:
assignee: nobody → Lee Li (lilinguo)
Jia Dong (jiadong-jia) on 2014-02-14
Changed in ceilometer:
assignee: nobody → Jia Dong (jiadong-jia)
Lee Li (lilinguo) on 2014-02-14
Changed in cinder:
assignee: nobody → Lee Li (lilinguo)
Changed in python-troveclient:
assignee: nobody → Lee Li (lilinguo)
Changed in cinder:
assignee: Lee Li (lilinguo) → Fengqian (fengqian-gao)
status: New → In Progress
Lee Li (lilinguo) wrote :

不要抢别人已经assigend的,游戏规则。

Changed in python-keystoneclient:
assignee: nobody → Lee Li (lilinguo)
Changed in python-novaclient:
assignee: nobody → Lee Li (lilinguo)
Changed in cinder:
assignee: Fengqian (fengqian-gao) → Lee Li (lilinguo)
Fengqian (fengqian-gao) on 2014-02-14
Changed in horizon:
assignee: nobody → Fengqian (fengqian-gao)
status: New → In Progress
Fengqian (fengqian-gao) wrote :

@Lee Li

No one is trying to grab the bug from you, but the fact is that i was raised the patch two days ago in cinder,
https://review.openstack.org/#/c/72845/

Then OpenStack Infra (hudson-openstack) assigned this bug to me.

Lee Li (lilinguo) on 2014-02-14
no longer affects: python-glanceclient
no longer affects: python-heatclient
no longer affects: python-keystoneclient
no longer affects: python-novaclient
no longer affects: python-troveclient

Fix proposed to branch: master
Review: https://review.openstack.org/73509

Changed in python-neutronclient:
status: New → In Progress

Reviewed: https://review.openstack.org/72883
Committed: https://git.openstack.org/cgit/openstack/savanna/commit/?id=6ef90483940f73fb0b560c11b3e1b1527ee8bcd6
Submitter: Jenkins
Branch: master

commit 6ef90483940f73fb0b560c11b3e1b1527ee8bcd6
Author: He Yongli <email address hidden>
Date: Wed Feb 12 15:49:52 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Closes-Bug: #1279611
    Change-Id: Ib91cf439777a11dd4d7ed4472014d17942f7de86

Changed in savanna:
status: In Progress → Fix Committed
Changed in ceilometer:
status: New → In Progress
Changed in tuskar:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/72843
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=0b3fbf88dd41eb73cde45819e55797e39c335266
Submitter: Jenkins
Branch: master

commit 0b3fbf88dd41eb73cde45819e55797e39c335266
Author: Fengqian Gao <email address hidden>
Date: Wed Feb 12 14:01:10 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Partial-Bug: #1279611

    Change-Id: Ibe5e028acd12e8d753d95cfd9c3f63072278b120

Reviewed: https://review.openstack.org/72887
Committed: https://git.openstack.org/cgit/openstack-infra/storyboard/commit/?id=b829342c20885be1dad530a8ab54ea90172f932b
Submitter: Jenkins
Branch: master

commit b829342c20885be1dad530a8ab54ea90172f932b
Author: He Yongli <email address hidden>
Date: Wed Feb 12 15:49:20 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Closes-Bug: #1279611
    Change-Id: I61067ee0be8bd9521bb6af0c39d534a262053ca7

Changed in storyboard:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/72888
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=a060b6c0b7d26b02ac2ca15ede49fa56a026efda
Submitter: Jenkins
Branch: master

commit a060b6c0b7d26b02ac2ca15ede49fa56a026efda
Author: He Yongli <email address hidden>
Date: Wed Feb 12 12:44:45 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Closes-Bug: #1279611
    Change-Id: I712035926f449e1bc5ab1fe85927369b826cb9cc

Changed in neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/72844
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=9133f5ad6353a860aa632dbc090e26109b922701
Submitter: Jenkins
Branch: master

commit 9133f5ad6353a860aa632dbc090e26109b922701
Author: Fengqian Gao <email address hidden>
Date: Wed Feb 12 13:44:22 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Partial-Bug: #1279611

    Change-Id: Ie49589651ed80d8fc3196fb0750cbb04661c19cd

Reviewed: https://review.openstack.org/72889
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=1628e0c26e30fff466202f424b25fc2933918525
Submitter: Jenkins
Branch: master

commit 1628e0c26e30fff466202f424b25fc2933918525
Author: He Yongli <email address hidden>
Date: Wed Feb 12 12:39:59 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Partial-Bug: #1279611
    Change-Id: I271d492a501a2d2fce2980e11ce6f03b7b9f878a

Changed in cinder:
assignee: Lee Li (lilinguo) → Fengqian (fengqian-gao)
Changed in cinder:
importance: Undecided → Wishlist
Changed in trove:
milestone: icehouse-3 → icehouse-rc1
Changed in ironic:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-05
Changed in ironic:
status: Fix Committed → Fix Released
Changed in savanna:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Changed in neutron:
importance: Undecided → Low
milestone: none → icehouse-3
Thierry Carrez (ttx) on 2014-03-05
Changed in neutron:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/73509
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=f58b98379c84fd33a0f5129a7deacc2e238c37a4
Submitter: Jenkins
Branch: master

commit f58b98379c84fd33a0f5129a7deacc2e238c37a4
Author: llg8212 <email address hidden>
Date: Fri Feb 14 14:50:01 2014 +0800

    Use six.moves.urllib.parse to replace urlparse

    Import six.moves.urllib.parse as urlparse for python3 compatible.

    Change-Id: Icc6dc92c4d4016b8a4f1118220a51415d2b5feb0
    Closes-Bug:#1279611

Changed in python-neutronclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/72845
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=2fad54233dde0640d52e4111b11a628ba8a0ce27
Submitter: Jenkins
Branch: master

commit 2fad54233dde0640d52e4111b11a628ba8a0ce27
Author: Fengqian Gao <email address hidden>
Date: Mon Mar 10 10:03:08 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse. tools/lintstack is changed to pass pylint test.

    Partial-Bug: #1279611

    Change-Id: I0ceaaccbf6c67b45609b4f2f5639c362b32d10ad

Changed in trove:
importance: Undecided → Low
Changed in trove:
milestone: icehouse-rc1 → next
Mike Perez (thingee) on 2014-03-19
Changed in cinder:
milestone: none → next
Tan Lin (tan-lin-good) on 2014-03-20
Changed in nova:
status: In Progress → Fix Committed
Changed in zuul:
status: In Progress → Fix Committed
Changed in marconi:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-31
Changed in nova:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-16
Changed in marconi:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
gordon chung (chungg) wrote :
Changed in ceilometer:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-rc1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in neutron:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in sahara:
milestone: icehouse-3 → 2014.1
Changed in sahara:
importance: Undecided → Low
Thierry Carrez (ttx) on 2014-04-17
Changed in marconi:
milestone: icehouse-rc1 → 2014.1

Reviewed: https://review.openstack.org/72882
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=6113ede1982520d22ae93366c54de41f7ae59b50
Submitter: Jenkins
Branch: master

commit 6113ede1982520d22ae93366c54de41f7ae59b50
Author: He Yongli <email address hidden>
Date: Wed Feb 12 16:02:37 2014 +0800

    Use six.moves.urllib.parse instead of urlparse

    To keep Python 3.x compatibility, use six.moves.urllib.parse to
    replace urlparse.

    Closes-Bug: #1279611
    Change-Id: I1867ef3ab0fd13cc7fd0875b419e06c2d96963c2

Changed in trove:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-06-12
Changed in ceilometer:
milestone: none → juno-1
status: Fix Committed → Fix Released
Kyle Mestery (mestery) on 2014-07-29
Changed in python-neutronclient:
importance: Undecided → Low
milestone: none → 2.3.5
Changed in trove:
milestone: next → juno-3
Thierry Carrez (ttx) on 2014-09-05
Changed in trove:
milestone: juno-3 → none
status: Fix Committed → Fix Released
Dougal Matthews (d0ugal) on 2014-09-25
Changed in tuskar:
status: In Progress → Fix Committed
Jay Dobies (jdob) on 2014-10-10
Changed in tuskar:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in ceilometer:
milestone: juno-1 → 2014.2
Akihiro Motoki (amotoki) on 2015-03-03
tags: added: released-neutronclient

There is no more occurrences of `import urlparse` in Glance as it has been fixed at https://review.openstack.org/#/c/72843/

Changed in glance:
status: In Progress → Fix Committed
Changed in cinder:
status: In Progress → Fix Committed
Changed in glance:
importance: Undecided → Low
Changed in glance:
status: Fix Committed → Fix Released
Bill Huber (wbhuber) on 2015-07-16
Changed in swift:
assignee: Yongli He (yongli-he) → Bill Huber (wbhuber)
status: New → In Progress

Change abandoned by Bill Huber (<email address hidden>) on branch: master
Review: https://review.openstack.org/202771
Reason: This has been taken in other review: https://review.openstack.org/#/c/196835/

Thierry Carrez (ttx) on 2015-10-15
Changed in glance:
milestone: liberty-1 → 11.0.0
David Lyle (david-lyle) on 2015-11-17
Changed in horizon:
status: In Progress → Fix Released
Thierry Carrez (ttx) on 2015-12-03
Changed in cinder:
status: Fix Committed → Fix Released
Akihiro Motoki (amotoki) on 2015-12-10
Changed in python-neutronclient:
milestone: 2.3.5 → none
status: Fix Committed → Fix Released
tags: removed: released-neutronclient
Marga Millet (millet) on 2016-01-15
Changed in murano:
assignee: nobody → Marga Millet (millet)
Marga Millet (millet) on 2016-01-15
Changed in murano:
status: New → In Progress
no longer affects: murano
Dmitry Tantsur (divius) on 2016-01-15
no longer affects: ironic
sumit (er-sksumit) wrote :

urlparse is incompatible for python 3

Changed in python-rack:
assignee: nobody → sumit (er-sksumit)
Changed in swift-bench:
assignee: nobody → sumit (er-sksumit)
Changed in solar:
assignee: nobody → sumit (er-sksumit)
Changed in python-rackclient:
assignee: nobody → sumit (er-sksumit)
Changed in python-swiftclient:
assignee: nobody → sumit (er-sksumit)
sumit (er-sksumit) on 2016-01-17
Changed in python-swiftclient:
status: New → Invalid
Changed in python-designateclient:
assignee: nobody → sumit (er-sksumit)
Changed in surveil:
assignee: nobody → sumit (er-sksumit)
sumit (er-sksumit) on 2016-01-17
Changed in openstack-ansible:
assignee: nobody → sumit (er-sksumit)
Changed in python-cinderclient:
assignee: nobody → sumit (er-sksumit)
Changed in gce-api:
assignee: nobody → sumit (er-sksumit)
Changed in openstack-doc-tools:
assignee: nobody → sumit (er-sksumit)
Changed in blazar:
assignee: nobody → sumit (er-sksumit)
sumit (er-sksumit) on 2016-01-17
Changed in astara:
assignee: nobody → sumit (er-sksumit)
Changed in vmware-nsx:
assignee: nobody → sumit (er-sksumit)
Changed in python-barbicanclient:
assignee: nobody → sumit (er-sksumit)
sumit (er-sksumit) on 2016-01-17
Changed in astara:
status: New → In Progress
Changed in blazar:
status: New → In Progress
Changed in python-rack:
status: New → In Progress
Changed in solar:
status: New → In Progress
Changed in gce-api:
status: New → In Progress
Changed in openstack-ansible:
status: New → In Progress
Changed in openstack-doc-tools:
status: New → In Progress
Changed in python-barbicanclient:
status: New → In Progress
Changed in python-cinderclient:
status: New → In Progress
Changed in python-designateclient:
status: New → In Progress
Changed in python-rackclient:
status: New → In Progress
no longer affects: python-swiftclient
Changed in surveil:
status: New → In Progress
sumit (er-sksumit) on 2016-01-17
Changed in swift-bench:
status: New → In Progress
Changed in vmware-nsx:
status: New → In Progress
Tin Lam (lamt) on 2016-02-17
Changed in python-barbicanclient:
assignee: sumit (er-sksumit) → Tin Lam (tl3438)

Reviewed: https://review.openstack.org/281068
Committed: https://git.openstack.org/cgit/openstack/python-barbicanclient/commit/?id=84fc9dc40d8a77fdc52dbf38bc24e8f66c4c958d
Submitter: Jenkins
Branch: master

commit 84fc9dc40d8a77fdc52dbf38bc24e8f66c4c958d
Author: Tin Lam <email address hidden>
Date: Wed Feb 17 00:27:37 2016 -0600

    Use six.moves.urllib.parse to replace urlparse

    Import six.moves.urllib.parse as urlparse for python3 compatible.

    Change-Id: I0f28f01a54daaa690cd890540fd4edc3b32411d1
    Closes-Bug: #1279611

Changed in python-barbicanclient:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/281588

Changed in solar:
assignee: sumit (er-sksumit) → Tin Lam (tl3438)
Tim Burke (1-tim-z) wrote :
Changed in swift:
assignee: Bill Huber (wbhuber) → nobody
status: In Progress → Fix Released

Change abandoned by Tin Lam (<email address hidden>) on branch: master
Review: https://review.openstack.org/281588

Tin Lam (lamt) wrote :

Per J Nowak - But, we currently don't support py3 in Solar. Changing this import changes nothing, it also would add six to requirements (which are not required by solar itself now).

Will revisit when Solar support py3.

Changed in solar:
status: In Progress → Confirmed
status: Confirmed → Invalid

This issue was fixed in the openstack/python-barbicanclient 4.0.0 release.

sumit (er-sksumit) on 2016-03-07
no longer affects: blazar
Changed in astara:
status: In Progress → Fix Committed
Changed in python-rack:
status: In Progress → Fix Committed
Changed in gce-api:
assignee: sumit (er-sksumit) → nobody
Changed in openstack-ansible:
status: In Progress → Fix Committed
sumit (er-sksumit) on 2016-03-07
Changed in openstack-doc-tools:
status: In Progress → Fix Released
Changed in python-cinderclient:
status: In Progress → Fix Committed
sumit (er-sksumit) on 2016-03-07
no longer affects: python-designateclient
no longer affects: python-rackclient
sumit (er-sksumit) on 2016-03-07
Changed in surveil:
assignee: sumit (er-sksumit) → nobody
Changed in swift-bench:
status: In Progress → Fix Committed
sumit (er-sksumit) on 2016-03-07
Changed in vmware-nsx:
status: In Progress → Fix Committed
Eric Harney (eharney) on 2016-05-25
Changed in cinder:
milestone: next → newton-1
Ken'ichi Ohmichi (oomichi) wrote :

This bug report has been solved on Tempest side since https://review.openstack.org/#/c/176784/

no longer affects: tempest
no longer affects: openstack-ansible
Changed in python-cinderclient:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers